@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span></li>
        <li><a href="{{ route('manager.noticias.index') }}">Notícias</a> <span class="divider">/</span></li>
        <li><a href="{{ route('manager.noticias.categorias.index') }}">Categorias</a> <span class="divider">/</span></li>
        <li class="active">{{ $edit ? 'Editar' : 'Inserir' }}</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Notícias / Categorias</h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            <a href="{{ route('manager.noticias.categorias.index') }}" class="btn">Voltar</a>
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page-header -->

    {{ Msg::getAll() }}

    <form action="{{ !isset($newsCategory->id) ? route('manager.noticias.categorias.store') : route('manager.noticias.categorias.update', $newsCategory->id) }}" method="post" id="form-news" class="form-horizontal">
        @if (isset($newsCategory->id))
            <input type="hidden" name="_method" value="put" />
        @endif

        <fieldset>
            @section('fields')
                <div class="control-group">
                    <label for="category" class="control-label">Categoria</label>

                    <div class="controls">
                        <input type="text" name="category" id="category" class="input-xxlarge" value="{{ $newsCategory->category }}" required autofocus />
                    </div><!-- .controls -->
                </div><!-- .control-group -->
            @show
        </fieldset>

        <div class="form-actions">
            <input type="submit" class="btn btn-primary" value="Salvar">
            <a href="{{ route('manager.noticias.categorias.index') }}" class="btn">Cancelar</a>
        </div><!-- .form-actions -->
    </form>

@stop
