@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span></li>
        <li><a href="{{ route('manager.noticias.index') }}">Notícias</a> <span class="divider">/</span></li>
        <li class="active">Categorias</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Notícias / Categorias</h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            @if (Check::can('news', 'create'))
                <a href="{{ route('manager.noticias.categorias.create') }}" class="btn btn-primary">Inserir nova categoria</a>
            @endif
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page=header -->

    {{ Msg::getAll() }}

    @if (Check::can('news', 'read'))
        <table class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Título</th>
                    <th>Ação</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($newsCategories as $newsCategory)
                    <tr>
                        <td>{{ $newsCategory->id }}</td>
                        <td>{{ $newsCategory->category }}</td>
                        <td>
                            <div class="btn-group">
                                @if (Check::can('news', 'update'))
                                    <a href="{{ route('manager.noticias.categorias.edit', $newsCategory->id) }}" class="btn btn-small" title="Editar">
                                        <i class="icon-pencil"></i> editar
                                    </a>
                                @endif

                                @if (Check::can('news', 'destroy'))
                                    <a href="{{ route('manager.noticias.categorias.destroy', $newsCategory->id) }}" class="btn btn-small" data-delete="true" title="Excluir">
                                        <i class="icon-trash"></i> excluir
                                    </a>
                                @endif
                            </div><!-- .btn-group -->
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table><!-- .table -->

        {{ $newsCategories->links() }}
    @endif
@stop
