@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span></li>
        <li><a href="{{ route('manager.noticias.index') }}">Notícias</a> <span class="divider">/</span></li>
        <li class="active">{{ $edit ? 'Editar' : 'Inserir' }}</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h2>Notícias</h2>
        </div><!-- .pull-left -->

        <div class="pull-right">
            <a href="{{ route('manager.noticias.index') }}" class="btn">Voltar</a>
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page-header -->

    {{ Msg::getAll() }}

    <form action="{{ ! $edit ? route('manager.noticias.store') : route('manager.noticias.update', $news->id) }}" method="post" id="form-news" class="form-horizontal">
        @if ($edit)
            <input type="hidden" name="_method" value="put" />
        @endif

        <fieldset>
            @section('fields')
                @if ($categories->count() > 0)
                    <div class="control-group">
                        <label for="category" class="control-label">Categoria</label>

                        <div class="controls">
                            <select name="news_category_id" id="news_category_id">
                                <option value="">Selecione a categoria</option>
                                {{ $newsCategory->HTMLOptions($news->news_category_id, 'title', $categories) }}
                            </select>
                        </div><!-- .controls -->
                    </div><!-- .control-group -->
                @endif

                <div class="control-group">
                    <label for="title" class="control-label">Título</label>

                    <div class="controls">
                        <input type="text" name="title" id="title" class="input-xxlarge" value="{{ $news->title }}" required autofocus />
                    </div><!-- .controls -->
                </div><!-- .control-group -->

                <div class="control-group">
                    <label for="subtitle" class="control-label">Subtítulo</label>

                    <div class="controls">
                        <input type="text" name="subtitle" id="subtitle" class="input-xxlarge" value="{{ $news->subtitle }}" />
                    </div><!-- .controls -->
                </div><!-- .control-group -->

                <div class="control-group">
                    <label for="date" class="control-label">Data</label>

                    <div class="controls">
                        <div class="input-append">
                            <input type="text" name="date" id="date" class="input-medium" value="{{ $news->date ? $news->date->format('d/m/Y') : null }}" maxlength="255" required data-datepicker />
                            <span class="add-on"><i class="icon-calendar"></i></span>
                        </div><!-- .input-append -->

                        <span class="help-block">dd/mm/aaaa</span>
                    </div><!-- .controls -->
                </div><!-- .control-group -->

                <div class="control-group">
                    <label for="description" class="control-label">Descrição</label>

                    <div class="controls">
                        <textarea  name="description" id="description" data-editor>{{ $news->description }}</textarea>
                    </div><!-- .controls -->
                </div><!-- .control-group -->

                <div class="control-group">
                    <label for="source" class="control-label">Fonte</label>

                    <div class="controls">
                        <input type="text" name="source" id="source" class="input-xxlarge" value="{{ $news->source }}" />
                    </div><!-- .controls -->
                </div><!-- .control-group -->
            @show
        </fieldset>

        <div class="form-actions">
            <input type="submit" class="btn btn-primary" value="Salvar">
            <a href="{{ route('manager.noticias.index') }}" class="btn">Cancelar</a>
        </div><!-- .form-actions -->
    </form>
@stop
